﻿<table>
<tr>
    <td><div style="width: 200px;" ></div>Branch ID  <span style="color: red;">*</span></td>
    <td>:</td>
    <td>
        @Html.Common().DevExpress().GridLookup(
                sett => {
                    sett.Name = "grlBranchEdit";
                    sett.GridProperties.KeyFieldName = "BRANCH_ID";
                    sett.Width = 200;
                    sett.GridProperties.CallbackRouteValues = new {Controller = "UserMaintenance", Action = "getBranchDataAdd"};
                    sett.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;

                    
                    sett.GridProperties.ClientSideEvents.BeginCallback = "branchEditBeginCallback"; //coba
                    
                    //sett.GridProperties.ClientSideEvents.RowClick = "branchChanged";
                        //SelectionChanged = "branchChanged";
                    sett.GridProperties.Width = 300;

                    sett.GridProperties.SettingsPager.PageSize = 10;
                        
                        

                    sett.GridProperties.Columns.Add(
                          l =>
                          {
                              l.Name = "txtBranchIDEdit";
                              l.FieldName = "BRANCH_ID";
                              l.Caption = "Branch ID";
                              l.Width = 100;
                              l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                          }
                        );
                    sett.GridProperties.Columns.Add(
                        l =>
                        {
                            l.Name = "txtBranchNameEdit";
                            l.FieldName = "BRANCH_NAME";
                            l.Caption = "Branch Name";
                        }
                        );

                }
                
                
            ).Bind(ViewData["BranchDataAdd"]).GetHtml()



    </td>

    <td></td>

    <td><div style="width: 200px;" ></div> NO REG <span id="editmandatoryNoReg" style="color: red;display: none;">*</span></td>
    <td>:</td>
    <td>
        @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtNoRegEdit";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 12;
                   
                }
            ).GetHtml()


    </td>
</tr>

<tr>
    <td>USERNAME <span style="color: red;">*</span></td>
    <td>:</td>
    <td>
        @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtUserNameEdit";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 64;
                    settings.ClientEnabled = false;
                   
                }
            ).GetHtml()

    </td>

    <td></td>

    <td>PASSWORD <span id="editmandatoryPassword" style="color: red;display: normal;">*</span></td>
    <td>:</td>
    <td>
         @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtPasswordEdit";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 104;
                   
                }
            ).GetHtml()


    </td>
</tr>

<tr>
    <td>PASSWORD EXPIRATION DATE</td>
    <td>:</td>
    <td>
         @Html.DevExpress().DateEdit(                    
                settings =>
                {
                    settings.Name = "txtPasswordExpirationDateEdit";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.DisplayFormatString = "yyyy.MM.dd";
                    settings.Properties.EditFormatString = "yyyy.MM.dd";
                }
            ).GetHtml()

    </td>

    <td></td>

    <td>USER EXPIRATION DATE</td>
    <td>:</td>
    <td>
            @Html.DevExpress().DateEdit(                    
            settings =>
            {
                settings.Name = "txtUserExpirationDateEdit";
                settings.ControlStyle.Wrap = DefaultBoolean.False;
                settings.Width = 200;
                settings.Properties.DisplayFormatString = "yyyy.MM.dd";
                settings.Properties.EditFormatString = "yyyy.MM.dd";
            }
            ).GetHtml()



    </td>
</tr>

<tr>
    <td>ACTIVE DIRECTORY FLAG <span style="color: red;">*</span></td>
    <td>:</td>
    <td>

          @Html.DevExpress().CheckBox(
                                c =>
                                {
                                    c.Name = "ActiveDirectoryFlagEdit";
                                    c.Properties.ClientSideEvents.CheckedChanged = "ActiveDirectoryChangedEdit";

                                }).GetHtml()


    </td>

    <td></td>

    <td>LOCK FLAG</td>
    <td>:</td>
    <td>
        @Html.DevExpress().CheckBox(
                                c =>
                                {
                                    c.Name = "LockFlagEdit";
                                }).GetHtml()

    </td>
</tr>


<tr>
    <td>IS ACTIVE FLAG</td>
    <td>:</td>
    <td>
           @Html.DevExpress().CheckBox(
                                c =>
                                {
                                    c.Name = "IsActiveFlagEdit";
                                }).GetHtml()
        
    </td>

    <td></td>

    <td>NOTIFICATION FLAG</td>
    <td>:</td>
    <td>
           @Html.DevExpress().CheckBox(
                                c =>
                                {
                                    c.Name = "NotificationFlagEdit";
                                }).GetHtml()

    </td>
</tr>

<tr>
    <td>FIRST NAME <span style="color: red;">*</span></td>
    <td>:</td>
    <td>
        @Html.DevExpress().TextBox(                    
                    settings =>
                    {
                        settings.Name = "txtFirstNameEdit";
                        settings.ControlStyle.Wrap = DefaultBoolean.False;
                        settings.Width = 200;
                        settings.Properties.MaxLength = 20;
                   
                    }
         ).GetHtml()

    </td>

    <td></td>

    <td>LAST NAME</td>
    <td>:</td>
    <td>
        @Html.DevExpress().TextBox(                    
                    settings =>
                    {
                        settings.Name = "txtLastNameEdit";
                        settings.ControlStyle.Wrap = DefaultBoolean.False;
                        settings.Width = 200;
                        settings.Properties.MaxLength = 20;
                   
                    }
         ).GetHtml()

    </td>
</tr>

<tr>
    <td>FULL NAME</td>
    <td>:</td>
    <td>
        @Html.DevExpress().TextBox(                    
                    settings =>
                    {
                        settings.Name = "txtFullNameEdit";
                        settings.ControlStyle.Wrap = DefaultBoolean.False;
                        settings.Width = 200;
                        settings.Properties.MaxLength = 80;
                   
                    }
         ).GetHtml()

    </td>

    <td></td>

    <td>TEL NO</td>
    <td>:</td>
    <td>
        @Html.DevExpress().TextBox(                    
                    settings =>
                    {
                        settings.Name = "txtTelNoEdit";
                        settings.ControlStyle.Wrap = DefaultBoolean.False;
                        settings.Width = 200;
                        settings.Properties.MaxLength = 20;
                   
                    }
         ).GetHtml()

    </td>
</tr>

<tr>
    <td>MOBILE NO</td>
    <td>:</td>
    <td>
        @Html.DevExpress().TextBox(                    
                    settings =>
                    {
                        settings.Name = "txtMobileNoEdit";
                        settings.ControlStyle.Wrap = DefaultBoolean.False;
                        settings.Width = 200;
                        settings.Properties.MaxLength = 20;
                   
                    }
         ).GetHtml()

    </td>

    <td></td>

    <td>CLASS ID</td>
    <td>:</td>
    <td>
             @Html.Common().DevExpress().GridLookup(
                sett => {
                    sett.Name = "grlClassEdit";
                    sett.GridProperties.KeyFieldName = "CLASS_ID";
                    sett.Width = 200;
                    sett.GridProperties.CallbackRouteValues = new { Controller = "UserMaintenance", Action = "getClassDataAdd" };
                    sett.GridProperties.ClientSideEvents.BeginCallback = "ClassEditBeginGridCallback";
                    sett.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    sett.GridProperties.Width = 300;
                    

                    sett.GridProperties.Columns.Add(
                          l =>
                          {
                              l.Name = "txtClassIDEdit";
                              l.FieldName = "CLASS_ID";
                              l.Caption = "Class ID";
                              l.Width = 100;
                              l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                          }
                        );
                    sett.GridProperties.Columns.Add(
                        l =>
                        {
                            l.Name = "txtClassNameEdit";
                            l.FieldName = "CLASS_NAME";
                            l.Caption = "Class Name";
                        }
                        );
                
                }
            ).Bind(ViewData["ClassDataAdd"]).GetHtml()

    </td>
</tr>

<tr>
    <td>JOB FUNCTION ID</td>
    <td>:</td>
    <td>
       @Html.Common().DevExpress().GridLookup(
                sett => {
                    sett.Name = "grlJobFunctionEdit";
                    sett.GridProperties.KeyFieldName = "JOB_FUNCTION_ID";
                    sett.Width = 200;
                    sett.GridProperties.CallbackRouteValues = new {Controller = "UserMaintenance", Action = "getJobFunctionDataAdd"};

                    sett.GridProperties.ClientSideEvents.BeginCallback = "JobFunctionEditBeginGridCallback";//coba
                    
                    sett.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    sett.GridProperties.Width = 300;
                    

                    sett.GridProperties.Columns.Add(
                          l =>
                          {
                              l.Name = "txtJobFunctionIDEdit";
                              l.FieldName = "JOB_FUNCTION_ID";
                              l.Caption = "ob Function ID";
                              l.Width = 100;
                              l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                          }
                        );
                    sett.GridProperties.Columns.Add(
                        l =>
                        {
                            l.Name = "txtJobFunctionIDNameEdit";
                            l.FieldName = "JOB_FUNCTION_NAME";
                            l.Caption = "Job Function Name";
                        }
                        );

                }
            ).Bind(ViewData["JobFunctionDataAdd"]).GetHtml()

    </td>

    <td></td>

    <td>CC CODE</td>
    <td>:</td>
    <td>
        @Html.DevExpress().TextBox(                    
                    settings =>
                    {
                        settings.Name = "txtCcOrderEdit";
                        settings.ControlStyle.Wrap = DefaultBoolean.False;
                        settings.Width = 200;
                        settings.Properties.MaxLength = 20;
                   
                    }
         ).GetHtml()

    </td>
</tr>

<tr>
    <td>COMPANY ID</td>
    <td>:</td>
    <td>
        @Html.Common().DevExpress().GridLookup(
                sett => {
                    sett.Name = "grlCompanyEdit";
                    sett.GridProperties.KeyFieldName = "COMPANY_ID";
                    sett.Width = 200;
                    sett.GridProperties.CallbackRouteValues = new {Controller = "UserMaintenance", Action = "getCompanyDataAdd"};


                    sett.GridProperties.ClientSideEvents.BeginCallback = "CompanyEditBeginGridCallback";
                    
                    sett.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    sett.GridProperties.Width = 300;
                    sett.GridProperties.Columns.Add(
                          l =>
                          {
                              l.Name = "txtCompanyIDEdit";
                              l.FieldName = "COMPANY_ID";
                              l.Caption = "Company ID";
                              l.Width = 100;
                              l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                          }
                        );
                    sett.GridProperties.Columns.Add(
                        l =>
                        {
                            l.Name = "txtCompanyNameEdit";
                            l.FieldName = "COMPANY_NAME";
                            l.Caption = "Company Name";
                        }
                        );
                
                }
            ).Bind(ViewData["CompanyDataAdd"]).GetHtml()

    </td>

    <td></td>

    <td>LOCATION ID</td>
    <td>:</td>
    <td>
        @Html.Common().DevExpress().GridLookup(
                sett => {
                    sett.Name = "grlLocationEdit";
                    sett.GridProperties.KeyFieldName = "LOCATION_ID";
                    sett.Width = 200;
                    sett.GridProperties.CallbackRouteValues = new {Controller = "UserMaintenance", Action = "getLocationDataAdd"};

                    sett.GridProperties.ClientSideEvents.BeginCallback = "LocationEditBeginGridCallback";
                    
                    
                    sett.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    sett.GridProperties.Width = 300;
                    

                    sett.GridProperties.Columns.Add(
                          l =>
                          {
                              l.Name = "txtLocationIDEdit";
                              l.FieldName = "LOCATION_ID";
                              l.Caption = "LOCATION ID";
                              l.Width = 100;
                              l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                          }
                        );
                    sett.GridProperties.Columns.Add(
                        l =>
                        {
                            l.Name = "txtLocationNameEdit";
                            l.FieldName = "LOCATION_NAME";
                            l.Caption = "Location Name";
                        }
                        );

                }
            ).Bind(ViewData["LocationDataAdd"]).GetHtml()


    </td>
</tr>

<tr>
    <td>IS PRODUCTION</td>
    <td>:</td>
    <td>
         @Html.DevExpress().CheckBox(
                                    c =>
                                    {
                                        c.Name = "IsProductionFlagEdit";
                                    }).GetHtml()




    </td>

    <td></td>

    <td>MAX LOGIN</td>
    <td>:</td>
    <td>
        @Html.DevExpress().TextBox(                    
                    settings =>
                    {
                        settings.Name = "txtMaxLoginEdit";
                        settings.ControlStyle.Wrap = DefaultBoolean.False;
                        settings.Width = 200;
                        settings.Properties.MaxLength = 12;
                   
                    }
         ).GetHtml()

    </td>
</tr>

<tr>
    <td>QUOTA</td>
    <td>:</td>
    <td>
        @Html.DevExpress().TextBox(                    
                        settings =>
                        {
                            settings.Name = "txtQuotaEdit";
                            settings.ControlStyle.Wrap = DefaultBoolean.False;
                            settings.Width = 200;
                            settings.Properties.MaxLength = 12;
                   
                        }
             ).GetHtml()

    </td>

    <td></td>

    <td>DEFAULT APP  <span style="color: red;">*</span></td>
    <td>:</td>
    <td>
        @* @Html.DevExpress().TextBox(                    
                    settings =>
                    {
                        settings.Name = "txtDefaultAppEdit";
                        settings.ControlStyle.Wrap = DefaultBoolean.False;
                        settings.Width = 200;
                        settings.Properties.MaxLength = 12;
                   
                    }
         ).GetHtml() *@

        @Html.Common().DevExpress().GridLookup(
                sett => {
                    sett.Name = "grlDefaultAppEdit";
                    sett.GridProperties.KeyFieldName = "SYSTEM_NAME";
                    sett.Width = 200;
                    sett.GridProperties.CallbackRouteValues = new {Controller = "UserMaintenance", Action = "getDefaultAppAdd"};

                    sett.GridProperties.ClientSideEvents.BeginCallback = "DefaultAppBeginEditGridCallback";
                    
                    
                    sett.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    sett.GridProperties.Width = 300;
                    

                    sett.GridProperties.Columns.Add(
                          l =>
                          {
                              l.Name = "txtSystemNameEdit";
                              l.FieldName = "SYSTEM_NAME";
                              l.Caption = "SYSTEM NAME";
                              l.Width = 100;
                              l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                          }
                        );
                }
            ).Bind(ViewData["DefaultAppDataAdd"]).GetHtml()


    </td>
</tr>

<tr>
    <td>PASSWORD MUST BE CHANGE</td>
    <td>:</td>
    <td>
         @Html.DevExpress().CheckBox(
                                c =>
                                {
                                    c.Name = "PasswordMustBeChangedFlagEdit";
                                }).GetHtml()

    </td>

    <td></td>

    <td>EMAIL <span style="color: red;">*</span></td>
    <td>:</td>
    <td>
        @Html.DevExpress().TextBox(                    
                    settings =>
                    {
                        settings.Name = "txtEmailEdit";
                        settings.ControlStyle.Wrap = DefaultBoolean.False;
                        settings.Width = 200;
                        settings.Properties.MaxLength = 50;
                   
                    }
         ).GetHtml()

    </td>
</tr>

<tr>
    <td>MULTIPLE LOGIN</td>
    <td>:</td>
    <td>
       @Html.DevExpress().CheckBox(
                                    c =>
                                    {
                                        c.Name = "MultipleLoginFlagEdit";
                                    }).GetHtml()


    </td>

    <td></td>

    <td>DELETE FLAG</td>
    <td>:</td>
    <td>
       @Html.DevExpress().CheckBox(
                                    c =>
                                    {
                                        c.Name = "DeleteFlagEdit";
                                    }).GetHtml()
    </td>
</tr>

<tr>
    <td></td>
    <td></td>
    <td>
         
    </td>

    <td></td>

    <td></td>
    <td></td>
    <td></td>
</tr>

<tr>
    <td></td>
    <td></td>
    <td></td>

    <td></td>

    <td></td>
    <td></td>
    <td>
        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnEditSubmit";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Save Change";
                            btnSettings.Width = 120;
                            btnSettings.ClientSideEvents.Click = "EditSubmit";
                        }
                    ).GetHtml()

    </td>
</tr>
</table>